<mat-card style="width: 99%">
  <div class="rectangle">
    <div class="row">
      <div class="factory-logo" style="margin-left: 2rem">
        <img src="/assets/Factory_Logo.png" />
      </div>
    </div>
    <br />
    <div class="row">
      <div class="factory-logo" style="margin-left: 2rem">
        <img src="/assets/logotext.png" />
      </div>
    </div>
  </div>
  <hr />
  <form [formGroup]="formGroup" (ngSubmit)="onSubmit(formGroup.value)">
    <div class="form-row">
      <div class="col-md-4"></div>
      <div class="col-md-2 your-account-info">Your Account Info</div>
      <div class="col form-group">
        <mat-label class="username">Enter Username</mat-label>
        <mat-form-field appearance="outline">
          <input
            type="text"
            matInput
            placeholder="Username"
            formControlName="UserName"
          />
          <mat-error *ngIf="formGroup.controls['UserName'].invalid">
            {{ getError("user") }}
          </mat-error>
        </mat-form-field>
      </div>
    </div>
    <div class="form-row">
      <div class="col form-group"></div>
      <div class="col form-group">
        <mat-label class="username">Enter Password</mat-label>
        <mat-form-field appearance="outline">
          <input
            type="password"
            matInput
            placeholder="Password"
            formControlName="Password"
          />
          <mat-error *ngIf="!formGroup.controls['Password'].valid">
            {{ getError("pass") }}
          </mat-error>
        </mat-form-field>
      </div>
    </div>
    <div class="form-row">
      <div class="col-md-6"></div>
      <div class="col-md-6">
        <input type="checkbox" class="username" style="width: 30px" /><span
          class="username"
          >Remenber</span
        >
      </div>
    </div>
    <div class="form-row">
      <div class="col-md-10"></div>
      <div class="col-md-2">
        <button
          mat-raised-button
          color="primary"
          type="submit"
          style="width: 8rem; height: 45px; float: right"
          [disabled]="!formGroup.valid"
        >
          Login
        </button>
      </div>
    </div>
  </form>
  <br />
  <br />
  <br />
  <div class="rectangle-3">
    <br />
    <div class="row">
      <div class="col-md-4"></div>
      <div class="col-md-4 do-more">
        <img src="/assets/domore.png" />
      </div>
      <div class="col-md-4"></div>
    </div>
    <br />
    <div class="row" style="margin-left: 18rem">
      <div class="col-md-4">
        <img src="/assets/robot.png" />
      </div>

      <div class="col-md-4">
        <img src="/assets/trade.png" />
      </div>

      <div class="col-md-4">
        <img src="/assets/production.png" />
      </div>
    </div>
    <br />
    <div class="row" style="margin-left: 18rem">
      <div class="col-md-4">
        <img src="/assets/text1.png" />
      </div>

      <div class="col-md-4">
        <img src="/assets/text2.png" />
      </div>

      <div class="col-md-4">
        <img src="/assets/text3.png" />
      </div>
    </div>
    <br />
    <div class="row">
      <div class="col-md-4"></div>

      <div class="col-md-4">
        <img src="/assets/footer1.png" />
      </div>

      <div class="col-md-4"></div>
    </div>
    <div class="row">
      <div class="col-md-4"></div>

      <div class="col-md-4">
        <img src="/assets/copyright.png" />
        <img src="/assets/footer2.png" />
      </div>

      <div class="col-md-4"></div>
    </div>
  </div>
</mat-card>
